"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const inputProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  customInputClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customLabelClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  placeholder: String,
  placeholderStyle: String,
  placeholderClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  cursorSpacing: uni_modules_wotDesignUni_components_common_props.makeNumberProp(0),
  cursor: uni_modules_wotDesignUni_components_common_props.makeNumberProp(-1),
  selectionStart: uni_modules_wotDesignUni_components_common_props.makeNumberProp(-1),
  selectionEnd: uni_modules_wotDesignUni_components_common_props.makeNumberProp(-1),
  adjustPosition: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  holdKeyboard: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  confirmType: uni_modules_wotDesignUni_components_common_props.makeStringProp("done"),
  confirmHold: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  focus: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  type: uni_modules_wotDesignUni_components_common_props.makeStringProp("text"),
  maxlength: {
    type: Number,
    default: -1
  },
  disabled: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  alwaysEmbed: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  alignRight: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  modelValue: uni_modules_wotDesignUni_components_common_props.makeNumericProp(""),
  showPassword: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  clearable: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  readonly: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  prefixIcon: String,
  suffixIcon: String,
  showWordLimit: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  label: String,
  labelWidth: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  size: String,
  error: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  center: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  noBorder: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  required: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  prop: String,
  rules: uni_modules_wotDesignUni_components_common_props.makeArrayProp(),
  clearTrigger: uni_modules_wotDesignUni_components_common_props.makeStringProp("always"),
  focusWhenClear: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  ignoreCompositionEvent: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  inputmode: uni_modules_wotDesignUni_components_common_props.makeStringProp("text"),
  markerSide: uni_modules_wotDesignUni_components_common_props.makeStringProp("before")
};
exports.inputProps = inputProps;
